> ## Documentation Index
> Fetch the complete documentation index at: https://withcheetah.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Start Enrich Job

> Start a new Sales Navigator enrich and enrichment job

## Request Body

<ParamField body="salesNavUrl" type="string" required>
  The full LinkedIn Sales Navigator search URL
</ParamField>

<ParamField body="name" type="string">
  Optional name for this list. Auto-generated from filters if not provided.
</ParamField>

<ParamField body="sender" type="object">
  Information about you/your company for AI personalization

  <Expandable title="sender properties">
    <ParamField body="sender.name" type="string">
      Your name
    </ParamField>

    <ParamField body="sender.company" type="string">
      Your company name
    </ParamField>

    <ParamField body="sender.valueProp" type="string">
      Brief description of what you offer
    </ParamField>
  </Expandable>
</ParamField>

## Request

<CodeGroup>
  ```bash cURL theme={null}
  curl -X POST https://api.cheetah-sales.dev/api/enrich \
    -H "Authorization: Bearer YOUR_API_KEY" \
    -H "Content-Type: application/json" \
    -d '{
      "salesNavUrl": "https://www.linkedin.com/sales/search/people?query=...",
      "sender": {
        "name": "John Smith",
        "company": "Acme Corp",
        "valueProp": "We help companies automate sales outreach"
      }
    }'
  ```

  ```javascript JavaScript theme={null}
  const response = await fetch('https://api.cheetah-sales.dev/api/enrich', {
    method: 'POST',
    headers: {
      'Authorization': 'Bearer YOUR_API_KEY',
      'Content-Type': 'application/json',
    },
    body: JSON.stringify({
      salesNavUrl: 'https://www.linkedin.com/sales/search/people?query=...',
      sender: {
        name: 'John Smith',
        company: 'Acme Corp',
        valueProp: 'We help companies automate sales outreach'
      }
    })
  });
  ```

  ```python Python theme={null}
  import requests

  response = requests.post(
      'https://api.cheetah-sales.dev/api/enrich',
      headers={'Authorization': 'Bearer YOUR_API_KEY'},
      json={
          'salesNavUrl': 'https://www.linkedin.com/sales/search/people?query=...',
          'sender': {
              'name': 'John Smith',
              'company': 'Acme Corp',
              'valueProp': 'We help companies automate sales outreach'
          }
      }
  )
  ```
</CodeGroup>

## Response

<ResponseField name="success" type="boolean">
  Whether the request was successful
</ResponseField>

<ResponseField name="jobId" type="string">
  Unique job ID to check status. Starts with `run_`
</ResponseField>

<ResponseField name="listId" type="string">
  UUID of the created list
</ResponseField>

<ResponseField name="status" type="string">
  Initial status (will be `pending`)
</ResponseField>

```json Response theme={null}
{
  "success": true,
  "jobId": "run_cm5x8k9j0000108l4g2h5h3k2",
  "listId": "550e8400-e29b-41d4-a716-446655440000",
  "status": "pending",
  "statusUrl": "/api/enrich/run_cm5x8k9j0000108l4g2h5h3k2"
}
```
